# Clash Verge Rev 配置 - iON SJC3
# 2026-05-04 生成
#
# 怎么用:
# 1. 打开 Clash Verge Rev
# 2. 左侧 "配置" → "新建" → "本地配置"
# 3. 粘贴本文件全部内容,保存
# 4. 启用此配置(点配置卡片打勾)
# 5. 顶部 "系统代理" 开关打开

mixed-port: 7890
allow-lan: false
mode: rule
log-level: info
ipv6: true
external-controller: 127.0.0.1:9090

dns:
  enable: true
  ipv6: false
  enhanced-mode: fake-ip
  fake-ip-range: 198.18.0.1/16
  nameserver:
    - 223.5.5.5
    - 119.29.29.29
  fallback:
    - https://1.1.1.1/dns-query
    - https://8.8.8.8/dns-query
  fallback-filter:
    geoip: true
    geoip-code: CN

proxies:
  - name: "iON-SJC-Reality"
    type: vless
    server: 174.139.137.12
    port: 39035
    uuid: 91c2e465-f09c-48e3-a9bc-9cbe15996645
    network: tcp
    udp: true
    tls: true
    flow: xtls-rprx-vision
    servername: www.microsoft.com
    reality-opts:
      public-key: XUTW4HyPfAEIN0SaVtq5da9QfLDIolAjzdK07oJRsnI
      short-id: e5665a96
    client-fingerprint: chrome

  - name: "iON-SJC-Hy2"
    type: hysteria2
    server: 174.139.137.12
    port: 41273
    password: J6VqhvBFm7us3w53Xrrb
    sni: www.bing.com
    skip-cert-verify: true
    alpn:
      - h3
    up: "100 Mbps"
    down: "200 Mbps"

proxy-groups:
  - name: "Claude"
    type: select
    proxies:
      - "iON-SJC-Reality"
      - "iON-SJC-Hy2"
      - DIRECT

  - name: "PROXY"
    type: select
    proxies:
      - "iON-SJC-Reality"
      - "iON-SJC-Hy2"
      - DIRECT

  - name: "AUTO"
    type: url-test
    proxies:
      - "iON-SJC-Reality"
      - "iON-SJC-Hy2"
    url: http://www.gstatic.com/generate_204
    interval: 300

rules:
  # === Claude / Anthropic 必走代理(防 IP 切换风控) ===
  - DOMAIN-SUFFIX,anthropic.com,Claude
  - DOMAIN-SUFFIX,claude.ai,Claude
  - DOMAIN-SUFFIX,claudeusercontent.com,Claude
  - DOMAIN-SUFFIX,segment.io,Claude
  - DOMAIN-SUFFIX,segment.com,Claude
  - DOMAIN-SUFFIX,statsig.com,Claude
  - DOMAIN-SUFFIX,statsigapi.net,Claude

  # === 国内域名直连 ===
  - DOMAIN-SUFFIX,cn,DIRECT
  - DOMAIN-KEYWORD,baidu,DIRECT
  - DOMAIN-KEYWORD,alibaba,DIRECT
  - DOMAIN-KEYWORD,taobao,DIRECT
  - DOMAIN-KEYWORD,tmall,DIRECT
  - DOMAIN-KEYWORD,jd,DIRECT
  - DOMAIN-KEYWORD,bilibili,DIRECT
  - DOMAIN-KEYWORD,qq,DIRECT
  - DOMAIN-KEYWORD,tencent,DIRECT

  # === 局域网直连 ===
  - IP-CIDR,127.0.0.0/8,DIRECT,no-resolve
  - IP-CIDR,10.0.0.0/8,DIRECT,no-resolve
  - IP-CIDR,172.16.0.0/12,DIRECT,no-resolve
  - IP-CIDR,192.168.0.0/16,DIRECT,no-resolve

  # === GeoIP 兜底 ===
  - GEOIP,CN,DIRECT

  # === 其他全走代理 ===
  - MATCH,PROXY
